MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031782Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2020-09-21 10:232020-10-24 12:41
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031782: Modeling Algorithms - Regressions on VS 2019 (vc142) on fillet tests
DescriptionWhen running OCCT tests with binaries built with VS 2019, I observe a set of regressions, most of which seem to be related to fillets.

The list of relevant tests is:
blend complex 	A8 	E5 	F1
blend simple 	B3 	H7 	L8 	M4 	M5 	N1 	N2 	N8 	O2 	O7 	R7
bugs modalg_2 	bug426
demo samples 	bottle 	raytrace
draft angle 	C3 	C4 	C5


Note that reasons of failure are different:

- Exception Standard_ConstructionError: Geom2d_TrimmedCurve::U1 == U2: blend complex A8, F1
- Silent crash (likely exception is silently caught in ChFi3d_Builder::Compute(), then DRAW command blend returns 1 breaking the script): blend simple B3, L8, M4, M5, N1, N2, O2, O7, demo samples bottle, raytrace, draft angle C3, C4, C5
- Checkshape faulties: blend complex E5, blend simple H7, N8, R7, bugs modalg_2 bug426

Alas, the problem is reproduced only in Release build, which suggests that possible reason could be uninitialized variable.

Steps To ReproduceNot required
Additional information
and documentation updates
Trying to run test blend simple B3 under debugger (Release with debug info), I get exception Standard_ConstructionError in GeomAdaptor_Surface::Load(), in condition (UFirst>ULast || VFirst>VLast). Unfortunately, debugger does not allow inspecting values of these variables...

Stack trace:
>	[Inline Frame] TKFillet.dll!GeomAdaptor_Surface::Load(const opencascade::handle<Geom_Surface> 
&) Line 94	C++
     [Inline Frame] TKFillet.dll!GeomAdaptor_Surface::{ctor}(const opencascade::handle<Geom_Surface> 
& S, const double) Line 61	C++
     TKFillet.dll!ChFi3d_FilBuilder::PerformThreeCorner(const int Jndex) Line 410	C++
     TKFillet.dll!ChFi3d_Builder::PerformFilletOnVertex(const int Index) Line 781	C++
     TKFillet.dll!ChFi3d_Builder::Compute() Line 294	C++
     TKFillet.dll!BRepFilletAPI_MakeFillet::Build() Line 534	C++
     TKTopTest.dll!BLEND(Draw_Interpretor & di, int narg, const char * * a) Line 180	C++
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031628verifiedbugmaster Community Configuration - Visual Studio 2019 compiler hangs on building 32-bit target 
related to 0031781verifiedifv Open CASCADE Modeling Algorithms - ChFi3d_Builder throws an exception when built with Visual Studio 2019 
related to 0031821verifiedbugmaster Open CASCADE Coding - Uninitialized variables in TKFillet project 
child of 0031806newbugmaster Open CASCADE Configuration - Visual Studio 2019 bugs 

-  Notes
(0096142)
git (administrator)
2020-10-22 15:32

Branch CR31782 has been created by ifv.

SHA-1: c5a9217c6d1a4b9562b9c3033423ec7cf79979c9


Detailed log of new commits:

Author: ifv
Date: Thu Oct 22 15:28:40 2020 +0300

    0031782: Modeling Algorithms - Regressions on VS 2019 (vc142) on fillet tests
    
    ChFiKPart_ComputeData_FilPlnCyl.cxx - rewriting some code to avoid "extra" optimization
(0096151)
ifv (developer)
2020-10-22 19:16

Branch CR31782 is ready for review

Branches for integration
OCCT - CR31782
Products - not
(0096158)
jgv (developer)
2020-10-22 20:50

Reviewed.

Branches for integration
OCCT - CR31782
Products - not
(0096197)
bugmaster (administrator)
2020-10-24 12:19

Combination -
OCCT branch : IR-2020-10-23
master SHA - 9f9490e1ae0eaf38507437019a117437c6317225
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-10-23 SHA - 4594c3ef5cc6ec5816231ba88e2a4863a25a06d2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18000.12000000008 / 18036.38000000013 [-0.20%]
Products
Total CPU difference: 12171.670000000115 / 12174.520000000093 [-0.02%]
Windows-64-VC14:
OCCT
Total CPU difference: 19723.78125 / 19746.3125 [-0.11%]
Products
Total CPU difference: 13538.390625 / 13565.046875 [-0.20%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0096206)
git (administrator)
2020-10-24 12:41

Branch CR31782 has been deleted by inv.

SHA-1: c5a9217c6d1a4b9562b9c3033423ec7cf79979c9

- Related Changesets
occt: master 7ccfd41f
Timestamp: 2020-10-22 12:28:40
Author: ifv
Committer: bugmaster
Details ] Diff ]
0031782: Modeling Algorithms - Regressions on VS 2019 (vc142) on fillet tests

ChFiKPart_ComputeData_FilPlnCyl.cxx - rewriting some code to avoid "extra" optimization
mod - src/ChFiKPart/ChFiKPart_ComputeData_FilPlnCyl.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-09-21 10:23 abv New Issue
2020-09-21 10:23 abv Assigned To => msv
2020-09-21 10:24 abv Description Updated View Revisions
2020-09-21 17:22 kgv Relationship added related to 0031628
2020-09-21 17:23 kgv Relationship added related to 0031781
2020-09-30 10:06 kgv Relationship added child of 0031806
2020-09-30 10:18 kgv Product Version => 7.4.0
2020-09-30 10:18 kgv Summary Regressions on VS 2019 (vc142) on fillet tests => Modeling Algorithms - Regressions on VS 2019 (vc142) on fillet tests
2020-09-30 10:19 kgv Description Updated View Revisions
2020-09-30 10:19 kgv Additional Information Updated View Revisions
2020-10-05 09:40 tizmaylo Relationship added related to 0031821
2020-10-05 09:40 tizmaylo Relationship deleted related to 0031821
2020-10-05 09:41 tizmaylo Relationship added related to 0031821
2020-10-13 09:57 msv Assigned To msv => jgv
2020-10-13 09:57 msv Status new => assigned
2020-10-16 18:06 ifv Assigned To jgv => ifv
2020-10-22 15:32 git Note Added: 0096142
2020-10-22 19:16 ifv Note Added: 0096151
2020-10-22 19:16 ifv Assigned To ifv => jgv
2020-10-22 19:16 ifv Status assigned => resolved
2020-10-22 19:16 ifv Steps to Reproduce Updated View Revisions
2020-10-22 20:50 jgv Note Added: 0096158
2020-10-22 20:50 jgv Assigned To jgv => bugmaster
2020-10-22 20:50 jgv Status resolved => reviewed
2020-10-24 12:19 bugmaster Note Added: 0096197
2020-10-24 12:19 bugmaster Status reviewed => tested
2020-10-24 12:26 bugmaster Test case number => Not required
2020-10-24 12:30 bugmaster Changeset attached => occt master 7ccfd41f
2020-10-24 12:30 bugmaster Status tested => verified
2020-10-24 12:30 bugmaster Resolution open => fixed
2020-10-24 12:41 git Note Added: 0096206


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker